Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039505
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2018-10-22 17:312018-12-11 20:22
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision890acbd59e51
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039505: Records in Matched Amount tab are duplicated if the Landed Cost is reactivated and processed again

DescriptionRecords in Matched Amount tab are duplicated if the Landed Cost is reactivated and processed again. It is causing wrong accounting
Steps To ReproduceAs group admin role:
   Create a G/L Item
   Set it as Enable in Financial Invoices and add a Tax Category to it
   Add Accounting for all the general ledgers

   Create a Landed Cost Type:
      Landed Cost Distribution Algorithm: Distribution by Amount
      Account: previously created G/L Item

   Create a goods receipt, add a product and complete it
   Launch Costing Background Process and check it finishes successfully
   Create a purchase invoice for same business partner
   Add a financial line to it and select previously created G/L Item
   Complete it

   Create a Landed Cost
   Add a record in Cost tab and select previously created invoice
   Add a record in Receipt tab and select previously created goods receipt
   Process it
   Check a new line has been included in Cost - Matched Amount subtab
   Reactivate it
   Check the record is still there
   Process it again
   Check a new record has been created in the Cost - Matched Amount subtab

   Go to Cost tab and post it
   Check the sum of all the records in Matched Amount is used
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0107551)
AtulOpenbravo (developer)
2018-10-24 12:23

- Login as F&B International Group admin role
- Create a G/L Item
- Set it as Enable in Financial Invoices and add a Tax Category to it
- Add Accounting for all the general ledgers

- Create a Landed Cost Type:
  Landed Cost Distribution Algorithm: Distribution by Amount
  Account: previously created G/L Item

- Create a goods receipt, add a product and complete it
- Launch Costing Background Process and check it finishes successfully
- Create a purchase invoice for same business partner
- Add a financial line to it and select previously created G/L Item
- Complete it

- Create a Landed Cost
- Add a record in Cost tab and select previously created invoice
- Add a record in Receipt tab and select previously created goods receipt
- Process it
- Check a new line has been included in Cost - Matched Amount subtab
- Reactivate it
- Check the record is removed from Matched Amount sub tab.
- Process it again
- Check a new record has been created in the Cost - Matched Amount subtab
- Go to Cost tab and post it
- Check the Amount in Matched Amount subtab is used for posting.
(0107641)
hgbot (developer)
2018-10-29 17:13

Repository: erp/devel/pi
Changeset: 890acbd59e51d97e29d5955ce2012c56a37f1a40
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Oct 26 10:54:45 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/890acbd59e51d97e29d5955ce2012c56a37f1a40 [^]

Fixes Issue 39505:Records in Matched Amount tab are duplicated
if the Landed Cost is reactivated and processed again

Delete records from Matched Amount sub tab when Landed Cost
is reactivated.

---
M src/org/openbravo/costing/ReactivateLandedCost.java
---
(0107642)
aferraz (developer)
2018-10-29 17:17

Code review + Testing OK
(0108446)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-10-22 17:31 ngarcia New Issue
2018-10-22 17:31 ngarcia Assigned To => Triage Finance
2018-10-22 17:31 ngarcia Modules => Core
2018-10-22 17:31 ngarcia Triggers an Emergency Pack => No
2018-10-22 17:33 ngarcia Issue Monitored: networkb
2018-10-23 11:08 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2018-10-23 18:08 ngarcia Steps to Reproduce Updated View Revisions
2018-10-23 18:13 ngarcia Description Updated View Revisions
2018-10-23 18:13 ngarcia Steps to Reproduce Updated View Revisions
2018-10-24 11:27 martinsdan Issue Monitored: martinsdan
2018-10-24 12:23 AtulOpenbravo Status new => scheduled
2018-10-24 12:23 AtulOpenbravo Note Added: 0107551
2018-10-29 17:13 hgbot Checkin
2018-10-29 17:13 hgbot Note Added: 0107641
2018-10-29 17:13 hgbot Status scheduled => resolved
2018-10-29 17:13 hgbot Resolution open => fixed
2018-10-29 17:13 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/890acbd59e51d97e29d5955ce2012c56a37f1a40 [^]
2018-10-29 17:17 aferraz Note Added: 0107642
2018-10-29 17:17 aferraz Review Assigned To => dmiguelez
2018-10-29 17:17 aferraz Status resolved => closed
2018-10-29 17:17 aferraz Fixed in Version => 3.0PR19Q1
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108446


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker